/* Far IR Sensor for AIBO robots
 * by Marco Zaratti - marco.zaratti@gmail.com
*/

class ERSirEdge extends IR2Sensor config (USARBot);

function String GetData()
{
    local float range;
    local string outstring;

    range = GetRange() + 0.0179; //Distance Compensation
    curRot=Rotation;
	outstring="{Name "$ItemName$" Range "$converter.FloatString(range)$"}";
	return outstring;
}

defaultproperties
{
	HiddenSensor=true
	MaxRange=1.5 //1.5m
	MinRange=0
	OutputCurve=(Points=((InVal=0,OutVal=0.0021),(InVal=0.0021,OutVal=0.0021),(InVal=1.5,OutVal=1.5)))
	OutputNoise=(Points=((InVal=0,OutVal=0),(InVal=1.5,OutVal=0.1)))
}

