/* AIBO Legs: Right joint 2 (same for front & rear)
 * by Marco Zaratti - marco.zaratti@gmail.com
*/
class ERSrb extends KDPart;

defaultproperties
{
    DrawScale=1
    StaticMesh=StaticMesh'spqrRobotMeshes.ERS7.RightLegsB'
    Begin Object Class=KarmaParams Name=KParams0
        KStartEnabled=True
        bKDoubleTickRate=True
        bHighDetailOnly=False
        bClientOnly=False
        bKNonSphericalInertia=true
        KMass=0.073
        KActorGravScale=1
//Uncomment and define these when using RBfull karma params
//        KInertiaTensor(0)=0.4
//        KInertiaTensor(1)=0
//        KInertiaTensor(2)=0
//        KInertiaTensor(3)=0.4
//        KInertiaTensor(4)=0
//        KInertiaTensor(5)=0.4
//        KCOMOffset=(X=0.0,Y=0.0,Z=0.0)
        KMaxAngularSpeed=100
        KMaxSpeed=25000
        KLinearDamping=0.0
        KAngularDamping=0.0
        KFriction=0.5
        KRestitution=0.0
        Name="KParams0"
    End Object
    KParams=KarmaParams'KParams0'
}
