class Item extends Actor config(USARBot) abstract;

var string ItemName;
var string ItemType;
var name   ItemMount;

var USARConverter converter;
var vector myPosition;
var rotator myDirection;
var KVehicle Platform;

var config float Weight;

function SetName(String iName)
{
	ItemName = iName;
}

function string Set(String opcode, String args)
{
	return "Failed";
}

simulated function Init(String SName, Actor parent, vector position, rotator direction, KVehicle veh, name mount)
{
	Platform = veh;
	if (mount=='None')
		ItemMount = 'HARD';
	else
		ItemMount = mount;
    ItemName = SName;
	SetBase(parent);
	SetRelativeRotation(direction);
	myPosition = position;
	myDirection = direction;
	if(Platform == None) //Multi-View has a camera without any platform
		converter = None;
	else if (Platform.IsA('KRobot'))
		converter = KRobot(Platform).Converter;
	else if (Platform.IsA('USARCar'))
		converter = USARCar(Platform).Converter;
	else if (Platform.IsA('USARBc'))
		converter = USARBc(Platform).Converter;
	else
		converter = None;

	ConvertParam(converter);
}

simulated function ConvertParam(USARConverter converter)
{
}

function bool isType(String type)
{
	return (Caps(ItemType)==Caps(type));
}

function bool isName(String name)
{
	return (Caps(ItemName)==Caps(name));
}

defaultproperties
{
	ItemType="Item"
	DrawType=DT_StaticMesh
	DrawScale=0.1
	StaticMesh=StaticMesh'USAR_Robots.Sensors.Sensor'
	bHardAttach=true
	RemoteRole=ROLE_None
	Weight=0.4
}
